
#include "UError.h"

#ifndef TRUE
#define TRUE (1)
#endif

//#define TEST

#ifdef TEST
#include <stdio.h>
#endif

short ErrorFunc(short theError, short flag )
{
	static short	ErrorNum;
	
	if (flag == SET)
	{	ErrorNum = theError;
		return 0;
	} else
	{	return ErrorNum;
	}
}

#ifdef TEST

main()
{
	int	Error;
	ErrorFunc(0);
	printf("%d\n",ErrorFunc(1));
	printf("%d\n",ErrorFunc(2));
}

#endif

